#user 'west-tech' virtual host 'dev.west-tech.ru' configuration file
server {
	server_name dev.west-tech.ru www.dev.west-tech.ru;
	charset off;
	disable_symlinks if_not_owner from=$root_path;
	gzip on;
	gzip_comp_level 9;
	gzip_disable "msie6";
	gzip_types text/plain text/css application/json application/x-javascript text/xml application/xml application/xml+rss text/javascript application/javascript;
	index index.html index.php;
	root $root_path;
	set $root_path /var/www/west-tech/data/www/dev.west-tech.ru;
	access_log /var/www/httpd-logs/dev.west-tech.ru.access.log ;
	error_log /var/www/httpd-logs/dev.west-tech.ru.error.log notice;
	include /etc/nginx/vhosts-includes/*.conf;
	location / {
		location ~* ^.+\.(jpg|jpeg|gif|png|svg|js|css|mp3|ogg|mpe?g|avi|zip|gz|bz2?|rar|swf)$ {
			expires 30d;
			try_files $uri $uri/ @fallback;
		}
		location / {
			try_files /does_not_exists @fallback;
		}
		location ~ [^/]\.ph(p\d*|tml)$ {
			try_files /does_not_exists @fallback;
		}
	}
	location @fallback {
		access_log off ;
		proxy_pass http://127.0.0.1:8080;
		proxy_redirect http://127.0.0.1:8080 /;
		proxy_set_header Host $host;
		proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
		proxy_set_header X-Forwarded-Proto $scheme;
		proxy_set_header X-Forwarded-Port $server_port;
	}
	ssi on;
	listen 188.120.235.164:80;
	listen [2a01:230:2::1c8]:80;
}
server {
}
